:begin
@echo off

IF   (%JAVA_HOME%)   ==   ()       goto  null_java_home
IF   NOT EXIST     %JAVA_HOME%\bin\java.exe   goto bad_java_home
IF   NOT EXIST     %JAVA_HOME%\lib\classes.zip  goto bad_java_lib_home

IF   (%1)     ==   ()       goto interact
IF    %1    ==   -h    goto syntax
IF    %1    ==   -help    goto syntax
goto interact

:interact
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
IF NOT EXIST  .\Data.zip    goto bad_pwd
java -classpath  ".\fixpack.jar;.\install.jar;%JAVA_HOME%\lib\classes.zip;%classpath%" Jdk_migrate
goto end

:null_java_home
echo.
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_java_home
echo.
echo Can not locate %JAVA_HOME%\bin\java
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_java_lib_home
echo.
echo Can not locate %JAVA_HOME%\lib\classes.zip
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_zip
echo.
echo Incorect path to Data.zip:  %2
echo.
goto end

:bad_root
echo.
echo No such directory:  %1
echo.
goto end

:bad_pwd
echo.
echo Can not locate all the files: fixpack.jar, install.jar, and Data.zip.
echo Please ensure you are in the download directory before starting install.
echo.
goto end

:syntax
echo.
echo  Syntax: Jdk_migrate.bat
echo.
goto end

:end
REM END

